GINKGO(1)

NAME
ginkgo - The ginkgo CLI compiler

SYNOPSIS

ginkgo
    flags packages -- pass-throughs

ginkgo
    COMMAND options

DESCRIPTION

Ginkgo is a BDD-style Golang testing framework built to help you efficiently write expressive and comprehensive tests. This page documents the ginkgo CLI, which offers a number of conveniences beyond what go test provides out of the box and its usage is recommended, but not necessary.

OPTIONS

ginkgo flags packages -- pass-throughs
    Run the tests in packages (or the package in the current directory). Any arguments after -- will be passed to the test. Run ginkgo test for a description of all valid flags.

ginkgo watch flags packages -- pass-throughs
    Watches the files in packages and re-runs tests when changes occur. Any arguments after -- will be passed to the test. Accepts all the flags that the ginkgo command accepts except for --keepGoing and --untilItFails.

ginkgo bootstrap flags
    Bootstrap a test suite for the current package

ginkgo generate filenames
    Generate a test file named filename_test.go If the optional filenames argument is omitted, a file named after the package in the current directory will be created.

ginkgo nodot
    Update the nodot declarations in your test suite Any missing declarations (from, say, a recently added matcher) will be added to your bootstrap file. If you've renamed a declaration, that name will be honored and not overwritten.

ginkgo convert /path/to/package
    Convert the package at the specified path from an XUnit-style test to a Ginkgo-style test

ginkgo unfocus
    Recursively unfocuses any focused tests under the current directory

AUTHOR
ginkgo was written by Onsi Fakhouri. This man page was written by Martín Ferrari for the Debian project.